import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"ironworks.pmh",
				"ChainOp",
				"WayPathOp",
				"WayPointOp",
				"WayRestraintOp",
				"ironworksDL" ]

	dll = module.DLL( "fexIronWorksDL", srcList )

	deplibs = forge.corelibs + [
				"fexGeometryDLLib",
				"fexMathLib",
				"fexOperateDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexIronWorksDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexIronWorksDL",					None,	None) ]
