#! /usr/bin/python

import sys
sys.path.append("ext/terminal")

import pyfe

fe = pyfe.Context()
fe.manage("fexOperatorDL")

source = fe.load("../media/model/torus.geo")

normalOp = fe.create("SurfaceNormalOp")
normaled = normalOp.operate(source)
normalOp.release()
source.release()

bloatOp = fe.create("BloatOp")
bloatOp.set("Bloat", 0.5)
bloated = bloatOp.operate(normaled)
bloatOp.release()
normaled.release()

bloated.save("bloated.geo")
bloated.release()

print "<end of script>"
